## com.thingmagic
Class Gen2.IDS.SL900A.BatteryLevelReading

    java.lang.Object
      com.thingmagic.Gen2.IDS.SL900A.BatteryLevelReading

Enclosing class:
  Gen2.IDS.SL900A

    public static class Gen2.IDS.SL900A.BatteryLevelReading

extends java.lang.Object

Constructor Summary
`Gen2.IDS.SL900A.BatteryLevelReading(byte[] reply)`
`Gen2.IDS.SL900A.BatteryLevelReading(short _reply)`

Method Summary
`boolean` `getADError()`
`int` `getBatteryType()`
`short` `getRaw()`
`short` `getValue()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Gen2.IDS.SL900A.BatteryLevelReading

    public Gen2.IDS.SL900A.BatteryLevelReading(short _reply)

### Gen2.IDS.SL900A.BatteryLevelReading

    public Gen2.IDS.SL900A.BatteryLevelReading(byte[] reply)

Method Detail

### getRaw

    public short getRaw()

### getADError

    public boolean getADError()

### getBatteryType

    public int getBatteryType()

### getValue

    public short getValue()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`